﻿//===============================================================================
// Microsoft patterns & practices Enterprise Library
// Data Access Application Block
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================

using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Data.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Data.Oracle.Configuration;

namespace Microsoft.Practices.EnterpriseLibrary.Data.Tests
{
	public class TestConfigurationSource
	{
		public const string NorthwindDummyUser = "entlib";
		public const string NorthwindDummyPassword = "hdf7&834k(*KA";

		public static DictionaryConfigurationSource CreateConfigurationSource()
		{
			DictionaryConfigurationSource source = new DictionaryConfigurationSource();

			DatabaseSettings settings = new DatabaseSettings();
			settings.DefaultDatabase = "Service_Dflt";

			OracleConnectionSettings oracleConnectionSettings = new OracleConnectionSettings();
			OracleConnectionData data = new OracleConnectionData();
			data.Name = "OracleTest";
			data.Packages.Add(new OraclePackageData("TESTPACKAGE", "TESTPACKAGETOTRANSLATE"));
			oracleConnectionSettings.OracleConnectionsData.Add(data);

			source.Add(DatabaseSettings.SectionName, settings);
			source.Add(OracleConnectionSettings.SectionName, oracleConnectionSettings);

			return source;
		}
	}
}

