﻿//===============================================================================
// Microsoft patterns & practices Enterprise Library
// Exception Handling Application Block
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================

using System;
using Microsoft.Practices.EnterpriseLibrary.Common;

namespace Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration
{
    internal static class ResourceHelper
    {
        /// <summary>
        /// Resolves the exception message
        /// </summary>
        /// <param name="exceptionMessage">Default exception message.</param>
        /// <param name="exceptionMessageResourceName">The resource name.</param>
        /// <param name="exceptionMessageResourceType">The resource type.</param>
        /// <returns>Exception message</returns>
        public static string GetExceptionMessage(string exceptionMessage, string exceptionMessageResourceName, string exceptionMessageResourceType)
        {

            if (!string.IsNullOrEmpty(exceptionMessageResourceName))
            {
                Type resourceType = Type.GetType(exceptionMessageResourceType, false);

                if (null != resourceType)
                {
                    exceptionMessage = ResourceStringLoader.LoadString(resourceType.FullName,
                        exceptionMessageResourceName,
                        resourceType.Assembly);
                }
            }

            return exceptionMessage;
        }
    }
}
